Bug 240616 - Review Request: pixman - pixel manipulation library
Review Request: pixman - pixel manipulation library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 16:22 EDT by Adam Jackson
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-27 17:02:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review-
panemade: fedora‑cvs-


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2007-05-18 16:22:42 EDT
Spec URL: http://people.redhat.com/ajackson/pixman/pixman.spec
SRPM URL: http://people.redhat.com/ajackson/pixman/pixman-0.9.0-0.20070518.src.rpm
Description: pixman is the common rendering code from cairo and the X server, but now it's a real shared library.

Note: we don't actually need this in the OS yet, right now this is just to have a place to point people who are looking for builds.  X server in git requires this, so.

Built RPMs also available from http://people.redhat.com/ajackson/pixman/
Comment 1 Parag AN(पराग) 2007-05-22 00:09:25 EDT
mock build is fine for i386 but
-----------------------------------------------------
rpmlint complains on SRPM as =>
I: pixman checking
W: pixman mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 3)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

rpmlint output on pixman RPM =>
W: pixman no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

E: pixman library-without-ldconfig-postin /usr/lib/libpixman.so.0.0.0
This package contains a library and provides no %post scriptlet containing
a call to ldconfig.

E: pixman library-without-ldconfig-postun /usr/lib/libpixman.so.0.0.0
This package contains a library and provides no %postun scriptlet containing
a call to ldconfig.

rpmlint outout on -devel rpm =>
W: pixman-devel summary-not-capitalized pixman development package
Summary doesn't begin with a capital letter.
-----------------------------------------------------------------------
Comment 2 Parag AN(पराग) 2007-05-22 01:53:35 EDT
Also it will be good to add disttag though its not mandatory
Comment 3 Adam Jackson 2007-05-24 13:58:15 EDT
(In reply to comment #1)
> mock build is fine for i386 but
> -----------------------------------------------------
> rpmlint complains on SRPM as =>
> I: pixman checking
> W: pixman mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 3)
> The specfile mixes use of spaces and tabs for indentation, which is a
> cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

Fixed.

> rpmlint output on pixman RPM =>
> W: pixman no-documentation
> The package contains no documentation (README, doc, etc).
> You have to include documentation files.

... if they exist, yes.  But there's no upstream documentation to include.  The
package guidelines do not say you must have docs, only that relevant docs must
be included if they exist:

http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b

> E: pixman library-without-ldconfig-postin /usr/lib/libpixman.so.0.0.0
> This package contains a library and provides no %post scriptlet containing
> a call to ldconfig.
> 
> E: pixman library-without-ldconfig-postun /usr/lib/libpixman.so.0.0.0
> This package contains a library and provides no %postun scriptlet containing
> a call to ldconfig.
> 
> rpmlint outout on -devel rpm =>
> W: pixman-devel summary-not-capitalized pixman development package
> Summary doesn't begin with a capital letter.

All fixed.

I usually leave disttag off until initial import, if for no other reason than 
cvs-import.sh would historically not expand disttag properly on initial import,
so I had to edit the spec after import anyway.  Will certainly use once it's in
CVS though.

New spec and srpm, with all above addressed plus updated snapshot:
http://people.redhat.com/ajackson/pixman/pixman.spec
http://people.redhat.com/ajackson/pixman/pixman-0.9.0-20070524.src.rpm
Comment 4 Parag AN(पराग) 2007-05-25 22:11:57 EDT
W: pixman incoherent-version-in-changelog 0.9.0-0.20070518 0.9.0-0.20070524
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.
Comment 5 Parag AN(पराग) 2007-06-04 21:14:01 EDT
ping?
Comment 6 Parag AN(पराग) 2007-06-20 08:37:24 EDT
ping?
Comment 7 Parag AN(पराग) 2007-07-23 21:27:15 EDT
ping?
I think we can consider this review as DEAD review now.
Comment 9 Adel Gadllah 2007-07-24 09:56:56 EDT
quick view over the package:
1) $RPM_OPT_FLAGS not used
2) no disttag
3) download link for srpm broken
Comment 10 Adam Jackson 2007-07-24 10:07:49 EDT
(In reply to comment #9)
> quick view over the package:
> 1) $RPM_OPT_FLAGS not used

Done for me by %configure.

> 2) no disttag

Eh, package isn't actually useful for anything pre-F8, but sure, why not.

> 3) download link for srpm broken

Erk.  Fixed:

http://people.redhat.com/ajackson/pixman/pixman.spec
http://people.redhat.com/ajackson/pixman/pixman-0.9.0-0.20070724.fc8.src.rpm
Comment 11 Adel Gadllah 2007-07-24 10:33:56 EDT
Package Review:
==================================================
----------------------------------
MUST: rpmlint must be run on every package.
----------------------------------
OK, output:
W: pixman no-documentation
W: pixman-devel no-documentation
upstream only has empty files.
----------------------------------
MUST: The package must be named according to the Package Naming Guidelines.
----------------------------------
OK
----------------------------------
MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec 
----------------------------------
OK
----------------------------------
MUST: The package must meet the  Packaging Guidelines.
----------------------------------
OK
----------------------------------
MUST: The package must be licensed with an open-source compatible license and
meet other legal requirements.
----------------------------------
OK
----------------------------------
MUST: The License field in the package spec file must match the actual license.
----------------------------------
OK (MIT)
Note: Please ask upstream to fix the empty COPYING file
----------------------------------
MUST: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, 
containing the text of the license(s) for the package must be included in %doc.
----------------------------------
File exits but empty so OK (not packaged)
----------------------------------
MUST: The spec file must be written in American English.
----------------------------------
OK
----------------------------------
MUST: The spec file for the package MUST be legible.
----------------------------------
OK
----------------------------------
MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL.
----------------------------------
N/A (git snapshot)
----------------------------------
MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
----------------------------------
OK (Tested on F7 x86_64)
----------------------------------
MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in ExcludeArch.
----------------------------------
N/A
----------------------------------
MUST: All build dependencies must be listed in BuildRequires.
----------------------------------
OK
----------------------------------
MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. 
----------------------------------
OK
----------------------------------
MUST: If the package is designed to be relocatable, the packager must state this
fact in the request for review, along with the rationalization for relocation of
that specific package.
----------------------------------
OK (not relocateable)
----------------------------------
MUST: A package must own all directories that it creates.
----------------------------------
OK
----------------------------------
MUST: A package must not contain any duplicate files in the %files listing.
----------------------------------
OK
----------------------------------
MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
----------------------------------
OK
----------------------------------
MUST: Header files must be in a -devel package.
----------------------------------
OK
----------------------------------
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
----------------------------------
OK
----------------------------------
MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
----------------------------------
OK
----------------------------------
MUST: Permissions on files must be set properly.
----------------------------------
OK
----------------------------------
MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
----------------------------------
OK
----------------------------------
MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines. 
----------------------------------
OK
----------------------------------
MUST: The package must contain code, or permissable content. 
----------------------------------
OK
----------------------------------
MUST: If a package includes something as %doc, it must not affect the runtime of
the application.
----------------------------------
OK
----------------------------------
MUST: Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section.
----------------------------------
N/A
----------------------------------
MUST: Packages must not own files or directories already owned by other packages. 
----------------------------------
OK
----------------------------------
MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
----------------------------------
OK
----------------------------------
MUST: All filenames in rpm packages must be valid UTF-8.
----------------------------------
SHOULD: The reviewer should test that the package builds in mock.
----------------------------------
OK (builds fine on F7 x86_64)
----------------------------------
SHOULD: If scriptlets are used, those scriptlets must be sane. 
----------------------------------
OK
----------------------------------
SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this
is usually for development purposes, so should be placed in a -devel pkg.
----------------------------------
OK
----------------------------------
==================================================
Summary:
Package looks ok, some issues have to be fixed 
upstream (empty doc files)
==================================================

############
=> APPROVED!
############
Comment 12 Adam Jackson 2007-07-24 10:36:39 EDT
New Package CVS Request
=======================
Package Name: pixman
Short Description: Pixel manipulation library for cairo and X
Owners: xgl-maint@redhat.com
Branches: 
InitialCC: 
Comment 13 Jens Petersen 2007-07-24 11:09:42 EDT
added
Comment 14 Adam Jackson 2007-07-24 14:46:26 EDT
Imported but not built, because:

http://koji.fedoraproject.org/koji/taskinfo?taskID=75713

"BuildError: package pixman not in list for tag dist-f8"
Comment 15 Parag AN(पराग) 2007-07-24 20:48:36 EDT
any reason why am i removed from fedora-review?
Comment 16 Parag AN(पराग) 2007-07-24 20:54:29 EDT
Adel Gadllah,
 If you see I am waiting for this review since last 2 months and even after
pinging you 2 times you replied yesterday and got it approved quickly. Any
reason must have been specified before removing current reviewer.
Comment 17 Warren Togami 2007-07-24 23:28:28 EDT
"BuildError: package pixman not in list for tag dist-f8"

This has since been fixed.
Comment 18 Parag AN(पराग) 2007-07-25 02:33:04 EDT
warren,
  Do we have any policies on hijacking other's reviews? If yes then I will be
happy to see that.
 May be I can also use that in future for taking over other's review :)
Comment 19 Adel Gadllah 2007-07-25 03:27:06 EDT
(In reply to comment #16)
> Adel Gadllah,
>  If you see I am waiting for this review since last 2 months and even after
> pinging you 2 times you replied yesterday and got it approved quickly. Any
> reason must have been specified before removing current reviewer.

Sorry, ajax asked yesterday in #fedora-devel that he want this reviewed quickly
to get it into rawhide before the test1 freeze (which was yesterday too).
So don't did this to hijack your review or something like this. But you are
correct I should have explained the reason why I am doing this.
Comment 20 Parag AN(पराग) 2007-07-26 06:50:39 EDT
Ajax,
Any reason why you not responded to my pings?
Comment 21 Adam Jackson 2007-07-27 17:02:04 EDT
Because I was busy.  And this package wasn't critical for anything I needed done
at the time.
Comment 22 Parag AN(पराग) 2007-07-27 21:33:20 EDT
thanks for giving me your time to reply my question.

Note You need to log in before you can comment on or make changes to this bug.